Subject: Re: [mpls] Request WG input on a Mesh Protection Question

From: "Taesik Cheung" <[email-masked]>
Date: Tue, 15 Nov 2011 14:49:31 +0900

Hi Pablo,

Thank you for the comment.

Yes, our intention is to re-use existing linear protection as in our draft and not to change it.

The reason why I asked the question was to get opinions or supports of WG experts on this approach.

A key issue of shared mesh protection is how to coordinate the use of shared protection resources and our solution only focuses on it. We don't think we need to develop a new mechanism from the bottom, such as priority values for different requests, state transition tables, etc.

The functions you mentioned (Lockout request, SPMG ID, ...) are required for our solution, but we believe that it won't change the existing linear protection protocol itself.

Any further comments will be appreciated.

Thank you.

Regards,

Taesik

-----Original Message-----
From: "Pablo Frank" <[email-masked]>
From Date: 2011-11-15 AM 1:26:36
To: "Taesik Cheung" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: Re: [mpls] Request WG input on a Mesh Protection Question

Hi Taesik,

I suppose it depends on what you mean by your question. ?Your current version of the draft already relies on the PSC as a kind of slave protocol to a new mesh-protection protocol that coordinates their activities. ?In a sense, your proposal is already built on the existing linear protection solution.

Are you asking the WG to endorse this idea or do you have something else in mind? ?One possibility is that you mean to enhance the existing PSC protocol to include features that you need for mesh protection (perhaps a lockout mechanism or shared-mesh-protection-group IDs, etc). ?I think this is a worthy effort but I can see how it would be difficult.

What did the authors have in mind when asking this question?

regards,

Pablo

On Wed, Nov 2, 2011 at 5:42 AM, Taesik Cheung <[email-masked]> wrote:

Dear MPLS WG,

?

As you may have recently noticed, we recently posted an updated version draft-cheung-mpls-tp-mesh-protection-04.

The authors of the solution would like to hear the WG opinion for a specific question.

Should the Mesh Protection solution be built on the existing Linear Protection solution?

?

Thank you.

?

Regards,

Taesik

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls